squeeze crashed with SIGSEGV in lsq_archive_refresh()

Bug #545028 reported by puzzled on 2010-03-23
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
squeeze
Confirmed
Unknown
squeeze (Debian)
Fix Released
Unknown
squeeze (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: squeeze

happened when i tried to open an .rar archive out of thunar, squeeze also crashes when i start it and try to open an .rar archive (about 3 gig size)

ProblemType: Crash
Architecture: i386
Date: Tue Mar 23 13:35:45 2010
Disassembly: => 0x0: Cannot access memory at address 0x0
DistroRelease: Ubuntu 10.04
ExecutablePath: /usr/bin/squeeze
Package: squeeze 0.2.3-7ubuntu1
ProcCmdline: squeeze /media/more/WINDOWS.7.ULTIMATE.x86.32BIT.RETAIL.GERMAN.BY.SERKAN-PREDATOR.rar
ProcEnviron:
 LANG=de_AT.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic
SegvAnalysis:
 Segfault happened at: 0x0: Cannot access memory at address 0x0
 PC (0x00000000) not located in a known VMA region (needed executable region)!
SegvReason: executing NULL VMA
Signal: 11
SourcePackage: squeeze
StacktraceTop:
 ?? ()
 lsq_archive_refresh () from /usr/lib/libsqueeze-0.2.so.0
 ?? ()
 ?? ()
 ?? ()
Title: squeeze crashed with SIGSEGV in lsq_archive_refresh()
Uname: Linux 2.6.32-16-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

puzzled (puzzled) wrote :

StacktraceTop:
 ?? ()
 sq_main_window_open_archive (window=0x9d7ff4,
 sq_application_open_archive (app=0x9c8b738,
 main (argc=2, argv=0xbffbd674) at main.c:181

Changed in squeeze (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
visibility: private → public
Charlie Kravetz (charlie-tca) wrote :

Thank you for reporting this issue. Does squeeze work with other .rar files? Does the windows7 .rar open in windows?

Changed in squeeze (Ubuntu):
status: New → Incomplete
Charlie Kravetz (charlie-tca) wrote :

From: puzzled
To: Charlie Kravetz
Subject: Re: [Bug 545028] Re: squeeze crashed with SIGSEGV in lsq_archive_refresh()
Date: Thu, 08 Apr 2010 22:17:58 +0400

Hi, and sorry for the late reply.

Squeeze didn't work with any .rar, Windows handeld the file without problems.

Charlie Kravetz (charlie-tca) wrote :

Thanks for the update. Unfortunately, you need to install an unrar application to allow the .rar packages to be opened. Please install either 'unrar' or 'unrar-free'.

I can confirm that squeeze should not crash, even without one of those applications installed. It should at least give an error message.

Changed in squeeze (Ubuntu):
status: Incomplete → Confirmed
Charlie Kravetz (charlie-tca) wrote :

This bug has been reported to the developers of the software. You can track it and make comments at: http://bugzilla.xfce.org/show_bug.cgi?id=6374

Changed in squeeze (Ubuntu):
status: Confirmed → Triaged
Changed in squeeze:
status: Unknown → Confirmed
Lionel Le Folgoc (mrpouit) wrote :

Fixed in debian in 0.2.3-12, will be fixed in precise when it's autosynced.

Changed in squeeze (Ubuntu):
status: Triaged → Fix Committed
Changed in squeeze (Debian):
status: Unknown → Fix Released
Lionel Le Folgoc (mrpouit) wrote :

This bug was fixed in the package squeeze - 0.2.3-12

---------------
squeeze (0.2.3-12) unstable; urgency=low

  * debian/patches:
    - 03_fix_segfault_on_relative_paths added, thanks to Ibragimov Rinat.
      Correctly handle path with '/' in them. closes: #607483, #608005
  * debian/rules:
    - use dh 9 and dpkg-dev 1.16.1 hardening support
    - run xdt-autogen before configure, fixing the Makefiles to build
      correctly with PIE.
    - use multi arch dirs in various rules
    - drop the squeeze.tap move, not needed anymore.
  * debian/control:
    - update debhelper build-dep for v9 hardening support.
    - add build-dep on dpkg-dev 1.16.1 for hardening support.
    - drop build-dep on hardening-wrapper.
    - add build-dep on xfce4-dev-tools, autoconf, libtool, intltool and
      gtk-doc-tools to be able to regenerate Makefiles.
    - add Pre-Depends: ${misc:Pre-Depends} for multiarch.
  * debian/compat bumped to 9.
  * debian/lintian updated for multiarch paths.

 -- Yves-Alexis Perez <email address hidden> Fri, 18 Nov 2011 15:11:53 +0100

squeeze (0.2.3-11) unstable; urgency=low

  * debian/patches:
    - 02_fix-segfault-open-files added, thanks to Ibragimov Rinat, fix
      segfault when trying to open files in an archive. closes: #475072

 -- Yves-Alexis Perez <email address hidden> Wed, 16 Nov 2011 22:45:39 +0100

Changed in squeeze (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.